Description

I know it could make the things a little bit complicated. So it could be placed as optional.

Some times projects can have status according to their stage or their conditions. Redmine has this feature for issues , what about

create status or workflows for projects.

Eg:

Project A (alpha tests)

Project B (canceled)

Project C (delivered)

Project D (initiating)

History

#1 - 2009-06-06 01:02 - Enderson Maia

Felipe Campo wrote:

I know it could make the things a little bit complicated. So it could be placed as optional.

Some times projects can have status according to their stage or their conditions. Redmine has this feature for issues , what about create status

or workflows for projects.

Eg:

Project A (alpha tests)

Project B (canceled)

Project C (delivered)

Project D (initiating)

 Creating a custom-field (List with project status) for project may help you.

#2 - 2009-06-07 00:31 - Felipe Campo

Enderson Maia wrote:

Felipe Campo wrote:

I know it could make the things a little bit complicated. So it could be placed as optional.

Some times projects can have status according to their stage or their conditions. Redmine has this feature for issues , what about create

status or workflows for projects.

Eg:

Project A (alpha tests)

Project B (canceled)

Project C (delivered)

Project D (initiating)

 Creating a custom-field (List with project status) for project may help you.

 Right now Im doing that , I was thinking more in some kind of tipification of Projects

Something like

Type 1: Init -> Plan ->  Build -> Deliver

Type 2: Init BackLog -> Iter -> Deliver -> Iter -> Deliv

#3 - 2009-06-19 08:02 - J.N. Tang

I think Redmine need a "Phase" tab on the project setting view.

The Phase's level is the top level in project, it's higher than the Version's level. When you create a version you must select a Phase where the version
is belong to.

#4 - 2009-06-19 17:32 - Felipe Campo

J.N. Tang wrote:

I think Redmine need a "Phase" tab on the project setting view.

The Phase's level is the top level in project, it's higher than the Version's level. When you create a version you must select a Phase where the

version is belong to.

 What about a target version custom field, with this is posible to achive the phase feature and add other field like start date or risk level or what the

imagination or the organizational context demands

#5 - 2009-06-22 09:31 - J.N. Tang

Felipe Campo wrote:

J.N. Tang wrote:

I think Redmine need a "Phase" tab on the project setting view.

The Phase's level is the top level in project, it's higher than the Version's level. When you create a version you must select a Phase where

the version is belong to.

 What about a target version custom field, with this is posible to achive the phase feature and add other field like start date or risk level or what

the imagination or the organizational context demands

 I think the Phase is a character of a project, not of a version. There is a limit for a Phase, but no limit for version.

I think a phase tab is necessary.

#6 - 2009-06-23 16:15 - Ludovic Aelbrecht

I agree with J.N. Tang (#5) on this - I see it the same way.

#7 - 2011-03-23 10:55 - Toshi MARUYAMA

- Category set to Issues workflow
